Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jbosscommon51
Class ResourceRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jbosscommon51.ResourceRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ResourceRefType<T>

    public class ResourceRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ResourceRefType<T>

This class implements the `resource-refType` xsd type

Original Documentation:

The resource-ref element gives a mapping between the "code name" of a
resource (res-ref-name, provided by the Bean Developer) and its "xml name" (resource-name,
provided by the Application Assembler). If no resource-ref is provided, jboss will assume
that "xml-name" = "code name" See resource-managers.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ResourceRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ResourceRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<ResourceRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`ResAuthType` | `getResAuth()` Returns the `res-auth` element
`java.lang.String` | `getResAuthAsString()` Returns the `res-auth` element
`java.lang.String` | `getResourceName()` Returns the `resource-name` element
`java.lang.String` | `getResRefName()` Returns the `res-ref-name` element
`ResSharingScopeType` | `getResSharingScope()` Returns the `res-sharing-scope` element
`java.lang.String` | `getResSharingScopeAsString()` Returns the `res-sharing-scope` element
`java.lang.String` | `getResType()` Returns the `res-type` element
`java.lang.String` | `getResUrl()` Returns the `res-url` element
`ResourceRefType<T>` | `ignoreDependency()`
`InjectionTargetType<ResourceRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`java.lang.Boolean` | `isIgnoreDependency()`
`ResourceRefType<T>` | `removeAllDescription()` Removes the `description` element
`ResourceRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`ResourceRefType<T>` | `removeJndiName()` Removes the `jndi-name` element
`ResourceRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`ResourceRefType<T>` | `removeResourceName()` Removes the `resource-name` element
`ResourceRefType<T>` | `removeResRefName()` Removes the `res-ref-name` element
`ResourceRefType<T>` | `removeResType()` Removes the `res-type` element
`ResourceRefType<T>` | `removeResUrl()` Removes the `res-url` element
`ResourceRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ResourceRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ResourceRefType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`ResourceRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`ResourceRefType<T>` | `setResAuth(ResAuthType resAuth)` If not already created, a new `res-auth` element with the given value will be created.
`ResourceRefType<T>` | `setResAuth(java.lang.String resAuth)` If not already created, a new `res-auth` element with the given value will be created.
`ResourceRefType<T>` | `setResourceName(java.lang.String resourceName)` If not already created, a new `resource-name` element with the given value will be created.
`ResourceRefType<T>` | `setResRefName(java.lang.String resRefName)` If not already created, a new `res-ref-name` element with the given value will be created.
`ResourceRefType<T>` | `setResSharingScope(ResSharingScopeType resSharingScope)` If not already created, a new `res-sharing-scope` element with the given value will be created.
`ResourceRefType<T>` | `setResSharingScope(java.lang.String resSharingScope)` If not already created, a new `res-sharing-scope` element with the given value will be created.
`ResourceRefType<T>` | `setResType(java.lang.String resType)` If not already created, a new `res-type` element with the given value will be created.
`ResourceRefType<T>` | `setResUrl(java.lang.String resUrl)` If not already created, a new `res-url` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceRefTypeImpl

    public ResourceRefTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### ResourceRefTypeImpl

    public ResourceRefTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ResourceRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### setDescriptionList

    public ResourceRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ResourceRefType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ResourceRefType`

### removeAllDescription

    public ResourceRefType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ResourceRefType<T>`
  Returns:
    list of `description`

### setResRefName

    public ResourceRefType<T> setResRefName(java.lang.String resRefName)

  If not already created, a new `res-ref-name` element with the given value will be created. Otherwise, the existing `res-ref-name` element will be updated with the given value.

  Specified by:
    `setResRefName` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### removeResRefName

    public ResourceRefType<T> removeResRefName()

  Removes the `res-ref-name` element

  Specified by:
    `removeResRefName` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### getResRefName

    public java.lang.String getResRefName()

  Returns the `res-ref-name` element

  Specified by:
    `getResRefName` in interface `ResourceRefType<T>`
  Returns:
    the node defined for the element `res-ref-name`

### setResType

    public ResourceRefType<T> setResType(java.lang.String resType)

  If not already created, a new `res-type` element with the given value will be created. Otherwise, the existing `res-type` element will be updated with the given value.

  Specified by:
    `setResType` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### removeResType

    public ResourceRefType<T> removeResType()

  Removes the `res-type` element

  Specified by:
    `removeResType` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### getResType

    public java.lang.String getResType()

  Returns the `res-type` element

  Specified by:
    `getResType` in interface `ResourceRefType<T>`
  Returns:
    the node defined for the element `res-type`

### setResAuth

    public ResourceRefType<T> setResAuth(ResAuthType resAuth)

  If not already created, a new `res-auth` element with the given value will be created. Otherwise, the existing `res-auth` element will be updated with the given value.

  Specified by:
    `setResAuth` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### setResAuth

    public ResourceRefType<T> setResAuth(java.lang.String resAuth)

  If not already created, a new `res-auth` element with the given value will be created. Otherwise, the existing `res-auth` element will be updated with the given value.

  Specified by:
    `setResAuth` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### getResAuth

    public ResAuthType getResAuth()

  Returns the `res-auth` element

  Specified by:
    `getResAuth` in interface `ResourceRefType<T>`
  Returns:
    the node defined for the element `res-auth`

### getResAuthAsString

    public java.lang.String getResAuthAsString()

  Returns the `res-auth` element

  Specified by:
    `getResAuthAsString` in interface `ResourceRefType<T>`
  Returns:
    the node defined for the element `res-auth`

### setResSharingScope

    public ResourceRefType<T> setResSharingScope(ResSharingScopeType resSharingScope)

  If not already created, a new `res-sharing-scope` element with the given value will be created. Otherwise, the existing `res-sharing-scope` element will be updated with the given value.

  Specified by:
    `setResSharingScope` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### setResSharingScope

    public ResourceRefType<T> setResSharingScope(java.lang.String resSharingScope)

  If not already created, a new `res-sharing-scope` element with the given value will be created. Otherwise, the existing `res-sharing-scope` element will be updated with the given value.

  Specified by:
    `setResSharingScope` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### getResSharingScope

    public ResSharingScopeType getResSharingScope()

  Returns the `res-sharing-scope` element

  Specified by:
    `getResSharingScope` in interface `ResourceRefType<T>`
  Returns:
    the node defined for the element `res-sharing-scope`

### getResSharingScopeAsString

    public java.lang.String getResSharingScopeAsString()

  Returns the `res-sharing-scope` element

  Specified by:
    `getResSharingScopeAsString` in interface `ResourceRefType<T>`
  Returns:
    the node defined for the element `res-sharing-scope`

### removeAllInjectionTarget

    public ResourceRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Specified by:
    `removeAllInjectionTarget` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### injectionTarget

    public InjectionTargetType<ResourceRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Specified by:
    `injectionTarget` in interface `ResourceRefType<T>`
  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    public java.util.List<InjectionTargetType<ResourceRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Specified by:
    `getInjectionTargetList` in interface `ResourceRefType<T>`
  Returns:
    list of `injection-target`

### ignoreDependency

    public ResourceRefType<T> ignoreDependency()

  Specified by:
    `ignoreDependency` in interface `ResourceRefType<T>`

### isIgnoreDependency

    public java.lang.Boolean isIgnoreDependency()

  Specified by:
    `isIgnoreDependency` in interface `ResourceRefType<T>`

### setResourceName

    public ResourceRefType<T> setResourceName(java.lang.String resourceName)

  If not already created, a new `resource-name` element with the given value will be created. Otherwise, the existing `resource-name` element will be updated with the given value.

  Specified by:
    `setResourceName` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### removeResourceName

    public ResourceRefType<T> removeResourceName()

  Removes the `resource-name` element

  Specified by:
    `removeResourceName` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### getResourceName

    public java.lang.String getResourceName()

  Returns the `resource-name` element

  Specified by:
    `getResourceName` in interface `ResourceRefType<T>`
  Returns:
    the node defined for the element `resource-name`

### setJndiName

    public ResourceRefType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Specified by:
    `setJndiName` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### removeJndiName

    public ResourceRefType<T> removeJndiName()

  Removes the `jndi-name` element

  Specified by:
    `removeJndiName` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### getJndiName

    public java.lang.String getJndiName()

  Returns the `jndi-name` element

  Specified by:
    `getJndiName` in interface `ResourceRefType<T>`
  Returns:
    the node defined for the element `jndi-name`

### setMappedName

    public ResourceRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### removeMappedName

    public ResourceRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `ResourceRefType<T>`
  Returns:
    the node defined for the element `mapped-name`

### setResUrl

    public ResourceRefType<T> setResUrl(java.lang.String resUrl)

  If not already created, a new `res-url` element with the given value will be created. Otherwise, the existing `res-url` element will be updated with the given value.

  Specified by:
    `setResUrl` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### removeResUrl

    public ResourceRefType<T> removeResUrl()

  Removes the `res-url` element

  Specified by:
    `removeResUrl` in interface `ResourceRefType<T>`
  Returns:
    the current instance of `ResourceRefType`

### getResUrl

    public java.lang.String getResUrl()

  Returns the `res-url` element

  Specified by:
    `getResUrl` in interface `ResourceRefType<T>`
  Returns:
    the node defined for the element `res-url`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD